<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.mq.mapper.base.MessageRetryLogMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.core.bizms.modle.po.MessageRetryLog">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="messageId" column="message_id" jdbcType="VARCHAR"/>
        <result property="step" column="step" jdbcType="TINYINT"/>
        <result property="messageBody" column="message_body" jdbcType="VARCHAR"/>
        <result property="errorLog" column="error_log" jdbcType="VARCHAR"/>
        <result property="retryCount" column="retry_count" jdbcType="TINYINT"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,message_id,step,
        message_body,error_log,retry_count,
        create_time,update_time
    </sql>
    <select id="getByMessageId" resultType="com.hdkj.lt.core.bizms.modle.po.MessageRetryLog">
        SELECT *
        from message_retry_log
        where message_body = #{messageId}
    </select>
</mapper>
